Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Three

WebGL Three.js canvas context.
Defined in: <..\..\src\teechart-3d.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Three(id)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addColorStop(stop, color)
| addLight(kind, color, x, y, z, shadows)
<inner> | addMesh(wireframe, m, size, r, geo, maxZ, zMin, zMax)
<inner> | addShape(s)
| arc(cx, cy, radius, angle, endAngle, clockwise)
| beginParent()
| beginPath()
| bezierCurveTo(a, b, c, d, e, f)
| clearRect()
| clearTextCache()
| clip()
| closePath()
| colorToInt(color)
| createLinearGradient()
| createRadialGradient()
| createTrackball()
| cube(r, round)
| cylinder(r, topRadius, vertical)
| doHitTest()
| doRender()
| ellipsePath(cx, cy, w, h)
| ellipsoid(r, vertical)
| endParent()
| fill()
| fillText(theText, x, y)
<inner> | findTextCache(text, size)
| fullScreen()
<inner> | fullScreenChanged()
| getContext()
<inner> | getFontSize(font)
| getMaterial(envMap)
| Gradient()
| isEnabled()
| lineMaterial()
| lineTo(x, y, z)
| lineZ(x, y, z0, z1)
| measureText(text)
| moveTo(x, y, z)
| onWindowResize()
| polygon(points, format)
| pyramid(r, vertical)
| quadraticCurveTo(x0, y0, x1, y1)
| rect(x, y, width, height)
| refresh()
<inner> | resizeContainer(width, height)
| restore()
<inner> | roundRect(shape, x, y, width, height, radius)
| roundRect(x, y, width, height, rx, ry)
| save()
| setCamera(perspective)
| setEnabled(enable, chart)
| setLineDash(dash)
| setShowLights(value)
| setShowShadows(value)
| showLight(index, show)
| slice(p, center, radius, angle0, angle1, donut, torus, beveled)
| sphere(cx, cy, rx, ry)
| spline(points, isShape)
<inner> | stringToColor(color)
| stroke()
| surface(size, func, r, wireframe, grid, maxZ)
| toogle(element, show)
| update()
| zPos()

Class Detail
Tee.Three(id)

Parameters:
id

Method Detail
addColorStop(stop, color)

Parameters:
stop
color

addLight(kind, color, x, y, z, shadows)

Parameters:
kind
color
x
y
z
shadows

<inner> addMesh(wireframe, m, size, r, geo, maxZ, zMin, zMax)

Parameters:
wireframe
m
size
r
geo
maxZ
zMin
zMax

<inner> addShape(s)

Parameters:
s

arc(cx, cy, radius, angle, endAngle, clockwise)

Parameters:
cx
cy
radius
angle
endAngle
clockwise

beginParent()

beginPath()

bezierCurveTo(a, b, c, d, e, f)

Parameters:
a
b
c
d
e
f

clearRect()

clearTextCache()

clip()

closePath()

colorToInt(color)

Parameters:
color

createLinearGradient()

createRadialGradient()

createTrackball()

cube(r, round)

Parameters:
r
round

cylinder(r, topRadius, vertical)

Parameters:
r
topRadius
vertical

doHitTest()

doRender()

ellipsePath(cx, cy, w, h)

Parameters:
cx
cy
w
h

ellipsoid(r, vertical)

Parameters:
r
vertical

endParent()

fill()

fillText(theText, x, y)

Parameters:
theText
x
y

<inner> findTextCache(text, size)

Parameters:
text
size

fullScreen()

<inner> fullScreenChanged()

getContext()

<inner> getFontSize(font)

Parameters:
font

getMaterial(envMap)

Parameters:
envMap

Gradient()

isEnabled()

lineMaterial()

lineTo(x, y, z)

Parameters:
x
y
z

lineZ(x, y, z0, z1)

Parameters:
x
y
z0
z1

measureText(text)

Parameters:
text

moveTo(x, y, z)

Parameters:
x
y
z

onWindowResize()

polygon(points, format)

Parameters:
points
format

pyramid(r, vertical)

Parameters:
r
vertical

quadraticCurveTo(x0, y0, x1, y1)

Parameters:
x0
y0
x1
y1

rect(x, y, width, height)

Parameters:
x
y
width
height

refresh()

<inner> resizeContainer(width, height)

Parameters:
width
height

restore()

<inner> roundRect(shape, x, y, width, height, radius)

Parameters:
shape
x
y
width
height
radius

roundRect(x, y, width, height, rx, ry)

Parameters:
x
y
width
height
rx
ry

save()

setCamera(perspective)

Parameters:
perspective

setEnabled(enable, chart)

Parameters:
enable
chart

setLineDash(dash)

Parameters:
dash

setShowLights(value)

Parameters:
value

setShowShadows(value)

Parameters:
value

showLight(index, show)

Parameters:
index
show

slice(p, center, radius, angle0, angle1, donut, torus, beveled)

Parameters:
p
center
radius
angle0
angle1
donut
torus
beveled

sphere(cx, cy, rx, ry)

Parameters:
cx
cy
rx
ry

spline(points, isShape)

Parameters:
points
isShape

<inner> stringToColor(color)

Parameters:
color

stroke()

surface(size, func, r, wireframe, grid, maxZ)

Parameters:
size
func
r
wireframe
grid
maxZ

toogle(element, show)

Parameters:
element
show

update()

zPos()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:38 GMT+0200 (CEST)